#!/usr/bin/env sh

# exit when any command fails
set -e

PROJECT_NAME="rtls-neighbor-list-collector"

# optional
TEMPLATE_NAME="${1}"

DEFAULT_CONFIG_FILE="/etc/rtls/default/${PROJECT_NAME}.json"
CUSTOM_CONFIG_FILE="/etc/rtls/custom/${PROJECT_NAME}${TEMPLATE_NAME}.json"
GENERATED_CONFIG_FILE="/etc/rtls/${PROJECT_NAME}${TEMPLATE_NAME}.json"

if [ ! -f "${CUSTOM_CONFIG_FILE}" ];
then

    if [ $# -eq 1 ];
    then
        echo "Custom config file '${CUSTOM_CONFIG_FILE}' is not exist!"
        exit 1
    fi

    echo "Creating ${CUSTOM_CONFIG_FILE}"
    printf "{\n}\n" > "${CUSTOM_CONFIG_FILE}"
    chown rtls:rtls "${CUSTOM_CONFIG_FILE}"

fi

jq -s '.[0] * .[1]' "${DEFAULT_CONFIG_FILE}" "${CUSTOM_CONFIG_FILE}" \
    | sed -e "s/|SYSTEMD_TEMPLATE_NAME|/${TEMPLATE_NAME}/g" \
    > "${GENERATED_CONFIG_FILE}"
